Skip to main content

Prolong lock on request in default request queue

PUT 

/v2/actor-runs/:runId/request-queue/requests/:requestId/lock

Prolongs a request lock in the default request queue of the Actor run.

This endpoint is a shortcut for getting the run's defaultRequestQueueId and then using the Prolong request lock endpoint.

Request

Path Parameters

    runId string required

    Actor run ID.


    Example: 3KH8gEpp4d8uQSe8T
    requestId string required

    Request ID.


    Example: xpsmkDlspokDSmklS

Query Parameters

    lockSecs double required

    How long the requests will be locked for (in seconds).


    Example: 60
    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc
    forefront string

    Determines if request should be added to the head of the queue or to the end after lock expires.


    Example: false

Status 200

Response Headers
    {
    "data": {
    "lockExpiresAt": "2022-06-14T23:00:00.000Z"
    }
    }